Bug 1371799 (CVE-2016-6298) - CVE-2016-6298 jwcrypto: million messages attack vulnerability
Summary: CVE-2016-6298 jwcrypto: million messages attack vulnerability
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-6298
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160831,reported=2...
Depends On: 1371800
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-31 07:10 UTC by Martin Prpič
Modified: 2019-06-08 21:24 UTC (History)
3 users (show)

Fixed In Version: jwcrypto 0.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:57:59 UTC


Attachments (Terms of Use)

Description Martin Prpič 2016-08-31 07:10:05 UTC
The jwcrypto implementation of the RSA1_5 algorithm is vulnerable to the Million Message Attack described in RFC 3128.

A timing attack can be leveraged against the implementation to detect when a chosed ciphertext generates a valid header and padding because invalid headr/padding generates a code exception and cryptographic operations are terminated earlier resulting in measurably faster processing over the network.

Upstream issue:

https://github.com/latchset/jwcrypto/issues/65

Upstream patch:

https://github.com/latchset/jwcrypto/pull/66

Comment 1 Martin Prpič 2016-08-31 07:10:16 UTC
Acknowledgments:

Name: Dennis Detering

Comment 2 Martin Prpič 2016-08-31 07:10:33 UTC
Created python-jwcrypto tracking bugs for this issue:

Affects: fedora-all [bug 1371800]

Comment 3 Fedora Update System 2016-09-05 17:52:06 UTC
python-jwcrypto-0.3.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-09-10 01:48:28 UTC
python-jwcrypto-0.3.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-09-10 05:20:21 UTC
python-jwcrypto-0.3.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Product Security DevOps Team 2019-06-08 02:57:59 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.